Bug 827518 - [abrt] yum-3.4.3-23.fc17: yumRepo.py:999:_cachingRepoXML:RepoError: Cannot find repomd.xml file for updates
[abrt] yum-3.4.3-23.fc17: yumRepo.py:999:_cachingRepoXML:RepoError: Cannot fi...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Fedora Packaging Toolset Team
Fedora Extras Quality Assurance
abrt_hash:e1c1557a19866a1a56567f10b01...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-01 12:43 EDT by maxfiedler1988
Modified: 2014-01-21 18:22 EST (History)
6 users (show)

See Also:
Fixed In Version: yum-3.4.3-25.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-28 16:34:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description maxfiedler1988 2012-06-01 12:43:07 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
cmdline:        /usr/bin/python -t /usr/share/yum-cli/completion-helper.py -d 0 -C list available compiz
event_log:      2012-06-01-18:37:40> Smolt profile successfully saved
executable:     /usr/share/yum-cli/completion-helper.py
kernel:         3.3.4-5.fc17.i686
time:           Fri 01 Jun 2012 06:32:26 PM CEST
uid:            0
username:       root

backtrace:
:yumRepo.py:999:_cachingRepoXML:RepoError: Cannot find repomd.xml file for updates
:
:Traceback (most recent call last):
:  File "/usr/share/yum-cli/completion-helper.py", line 81, in <module>
:    main(sys.argv[1:])
:  File "/usr/share/yum-cli/completion-helper.py", line 77, in main
:    base.doCommands()
:  File "/usr/share/yum-cli/cli.py", line 485, in doCommands
:    return self.yum_cli_commands[self.basecmd].doCommand(self, self.basecmd, self.extcmds)
:  File "/usr/share/yum-cli/completion-helper.py", line 44, in doCommand
:    patterns=[get_pattern(extcmds)])
:  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 2660, in doPackageLists
:    avail = self.pkgSack.returnNewestByNameArch(patterns=patterns,
:  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 1003, in <lambda>
:    pkgSack = property(fget=lambda self: self._getSacks(),
:  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 767, in _getSacks
:    self.repos.populateSack(which=repos)
:  File "/usr/lib/python2.7/site-packages/yum/repos.py", line 294, in populateSack
:    sack.populate(repo, mdtype, callback, cacheonly)
:  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 167, in populate
:    if self._check_db_version(repo, mydbtype):
:  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 225, in _check_db_version
:    return repo._check_db_version(mdtype)
:  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 1272, in _check_db_version
:    repoXML = self.repoXML
:  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 1466, in <lambda>
:    repoXML = property(fget=lambda self: self._getRepoXML(),
:  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 1462, in _getRepoXML
:    self._loadRepoXML(text=self)
:  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 1453, in _loadRepoXML
:    return self._groupLoadRepoXML(text, self._mdpolicy2mdtypes())
:  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 1428, in _groupLoadRepoXML
:    if self._commonLoadRepoXML(text):
:  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 1233, in _commonLoadRepoXML
:    if self._cachingRepoXML(local):
:  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 999, in _cachingRepoXML
:    raise Errors.RepoError, 'Cannot find repomd.xml file for %s' % self
:RepoError: Cannot find repomd.xml file for updates
:
:Local variables in innermost frame:
:self: <yum.yumRepo.YumRepository object at 0x9bdaf4c>
:local: '/var/cache/yum/i386/17/updates/repomd.xml'

smolt_data:
:
:
:General
:=================================
:UUID: 6d1c4917-8766-424d-9c7b-5291c0c865ac
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: i686
:BogoMIPS: 6376.49
:CPU Vendor: AuthenticAMD
:CPU Model: AMD Phenom(tm) II X4 955 Processor
:CPU Stepping: 2
:CPU Family: 16
:CPU Model Num: 4
:Number of CPUs: 2
:CPU Speed: 3187
:System Memory: 2017
:System Swap: 2046
:Vendor: innotek GmbH
:System: VirtualBox 1.2
:Form factor: Unknown
:Kernel: 3.3.4-5.fc17.i686
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(33006:48879:0:0) pci, None, VIDEO, VirtualBox Graphics Adapter
:(32902:28947:0:0) pci, None, BRIDGE, 82371AB/EB/MB PIIX4 ACPI
:(32902:10169:32902:29296) pci, None, PCI/ISA, 82801GBM (ICH7-M) LPC Interface Bridge
:(32902:4110:32902:30) pci, e1000, ETHERNET, PRO/1000 MT Desktop Adapter
:(32902:9820:0:0) pci, ehci_hcd, USB, 82801FB/FBM/FR/FW/FRW (ICH6 Family) USB2 EHCI Controller
:(4203:63:0:0) pci, ohci_hcd, USB, KeyLargo/Intrepid USB
:(32902:9288:0:0) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(32902:9288:0:0) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(33006:51966:0:0) pci, None, BASE, VirtualBox Guest Service
:(32902:10281:0:0) pci, ahci, STORAGE, 82801HBM/HEM (ICH8M/ICH8M-E) SATA AHCI Controller
:(32902:9832:33668:30336) pci, snd_hda_intel, MULTIMEDIA, 82801FB/FBM/FR/FW/FRW (ICH6 Family) High Definition Audio Controller
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda6 / ext4 4096 4096 5113323 4407626 4356435 1286144 1187293 1187293
:/dev/sda7 /home ext4 4096 4096 4791564 4687767 4447383 1204224 1204074 1204074
:/dev/sda5 /boot ext4 1024 1024 129267 85439 78886 32768 32425 32425
:/dev/sr0 WITHHELD iso9660 2048 2048 25473 0 0 0 0 0
:
Comment 1 Zdeněk Pavlas 2012-06-04 07:29:13 EDT
Fixed this in F17, too.

Note You need to log in before you can comment on or make changes to this bug.